<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";

require_once INFUSIONS."attachments_admin/pclzip.lib.php";
if (!checkrights("IP")) fallback("../index.php");

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."attachments_admin/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."attachments_admin/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."attachments_admin/locale/English.php";
}
if(isset($_POST['a_id']))$attachid = $_POST['a_id'];

if (!checkrights("S3")) fallback("../index.php");
if (!isset($attachid)) fallback("../index.php");

if(isset($_POST['delselect'])){
if(is_array($chk_mark) && count($chk_mark)>1){
$result_attach_id = implode(',',$chk_mark);
}else{
$result_attach_id = $chk_mark[0];
}
$a_id = $_POST['a_id'];
$result = dbquery("SELECT * FROM ".$db_prefix."forum_attachments WHERE attach_id=$a_id");
if (dbrows($result) != 0) {
while($attach = dbarray($result)){
$fily = FORUM."attachments/".$attach['attach_name']."[".$attach['attach_id']."]".$attach['attach_ext'];
$archive = new PclZip($fily);
  $v_list = $archive->delete(PCLZIP_OPT_BY_INDEX, "$result_attach_id");
  if ($v_list == 0) {
    die("Error : ".$archive->errorInfo(true));
  }
 $newsize = filesize($fily);
 dbquery("UPDATE ".$db_prefix."forum_attachments SET attach_size=$newsize WHERE attach_id='".$attach['attach_id']."'");
}
} 
}elseif(isset($_POST['addfile'])){
$attachfile = $_FILES['attachfile'];
if ($attachfile['name'] != "" && !empty($attachfile['name']) && is_uploaded_file($attachfile['tmp_name']) && $attachfile['size'] <= $settings['attachmax']) {
$attachext = strtolower(strrchr($attachfile['name'],"."));
$attachtypes = explode(",", $settings['attachtypes']);
if (in_array($attachext, $attachtypes)) {
$attachname = substr($attachfile['name'], 0, strrpos($attachfile['name'], "."));
$attachname = $attachname.$attachext;
move_uploaded_file($attachfile['tmp_name'], INFUSIONS."attachments_admin/tmp/".$attachname);
$a_id = $_POST['a_id'];
$result = dbquery("SELECT * FROM ".$db_prefix."forum_attachments WHERE attach_id=$a_id");
if (dbrows($result) != 0) {
while($attach = dbarray($result)){
$fily = FORUM."attachments/".$attach['attach_name']."[".$attach['attach_id']."]".$attach['attach_ext'];
$archive = new PclZip($fily);
$v_list = $archive->add(INFUSIONS."attachments_admin/tmp/".$attachname,
PCLZIP_OPT_REMOVE_PATH, INFUSIONS."attachments_admin/tmp/");
  if ($v_list == 0) {
    die("Error : ".$archive->errorInfo(true));
  }
 $newsize = filesize($fily);
 dbquery("UPDATE ".$db_prefix."forum_attachments SET attach_size=$newsize WHERE attach_id='".$attach['attach_id']."'");
 @unlink(INFUSIONS."attachments_admin/tmp/".$attachname);
}
} 
}}}

$result = dbquery("SELECT * FROM ".$db_prefix."forum_attachments WHERE attach_id='".$attachid."'");
$attach = dbarray($result);

opentable($locale['ata200']);

echo"<table width='100%' align='center' cellpadding='0' cellspacing='1' class='tbl-border'>
<tr>
<td width='20%' class='tbl2'>".$locale['ata204'].":</td>
<td class='tbl1'>".$attach['attach_name']."[".$attach['attach_id']."]".$attach['attach_ext']."</td></tr><tr>
<td width='20%' class='tbl2'>".$locale['ata223'].":</td>
<td class='tbl1'>".parsebytesize($attach['attach_size'])."</td>
</tr>";
echo "</table>";
closetable();
tablebreak();
$filx = FORUM."attachments/".$attach['attach_name']."[".$attach['attach_id']."]".$attach['attach_ext'];
opentable($locale['ata234']);
echo "<form name='inputform' method='post' action='".FUSION_SELF."' enctype='multipart/form-data'>
<input type='hidden' name='a_id' value='".$attachid."'>
<input type='file' name='attachfile' enctype='multipart/form-data' class='textbox' style='width:200px;'><br>
<span class='small2'>".sprintf($locale['ata235'], parsebytesize($settings['attachmax']), str_replace(',', ' ', $settings['attachtypes']))."</span>
<br><input type='submit' class='button' name='addfile' value='".$locale['ata234']."'>
</form>
";
closetable();
tablebreak();
opentable($attach['attach_name']."[".$attach['attach_id']."]".$attach['attach_ext']);
$zip = new PclZip($filx);
$list = $zip->listContent();
if (count($list)){ 
echo "<form name='editattach' method='post' action='".FUSION_SELF."'>
<table width='100%' align='center' cellpadding='0' cellspacing='1' class='tbl-border'>
<tr>
<td width='1%' class='tbl2'></td>
<td class='tbl2'>".$locale['ata204']."</td>
<td class='tbl2'>".$locale['ata206']."</td>
<td class='tbl2'>".$locale['ata224']."</td>
</tr>"; 
  for ($i=0; $i<sizeof($list); $i++) {
  if ($list[$i][folder] != 1){
  echo"<tr>
<td width='1%' class='tbl2'><input type='checkbox' name='chk_mark[]' value='".$list[$i][index]."'></td>
<td class='tbl1'>".$list[$i][filename]."</td>
<td class='tbl1'>".parsebytesize($list[$i][size])."</td>
<td class='tbl1'>".parsebytesize($list[$i][compressed_size])."</td>
</tr>";
       }}
echo "<tr>
<td colspan='4' class='tbl2'><nobr><span class='small'>
<input type='hidden' name='a_id' value='".$attachid."'>
<input type='button' class='button' title='".$locale['ata212']."' onclick=\"javascript:setChecked('editattach','chk_mark[]',1);\" value='".$locale['ata213']."'</input>
<input type='button' class='button' title='".$locale['ata214']."' onclick=\"javascript:setChecked('editattach','chk_mark[]',0);\" value='".$locale['ata215']."'</input>
<input type='submit' class='button' name='delselect' value='".$locale['ata216']."'><nobr></span>
</td>
</tr></table></form>
\n";
}else{
echo "<center><br />".$locale['ata225']."<br /><br /></center>\n";
}

echo "<br><center><a href='".INFUSIONS."attachments_admin/attachments_admin.php'>".$locale['ata226']."</a></center><br><br>";
echo "
<script language='Javascript'>
function setChecked(frmName,chkName,val){
dml=document.forms[frmName];
len=dml.elements.length;
for(i=0;i<len;i++){
if(dml.elements[i].name==chkName){
dml.elements[i].checked=val;
}
}
}
</script>\n";   
closetable();
echo "</td>\n";
require_once BASEDIR."footer.php";
?>