<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";

require_once INFUSIONS."attachments_admin/pclzip.lib.php";
if (!checkrights("IP")) fallback("../index.php");

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."attachments_admin/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."attachments_admin/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."attachments_admin/locale/English.php";
}

if (!checkrights("S3")) fallback("../index.php");
if (!isset($rowstart) || !isNum($rowstart)) $rowstart = 0;
if (!isset($orderby)) $orderby1 = "ORDER BY attach_id";
if (!isset($orderway)) $orderway1 = "DESC";

if (isset($delattach)) {
$result = dbquery("SELECT * FROM ".$db_prefix."forum_attachments WHERE post_id='$post_id' and attach_id='$delattach'");
if (dbrows($result) != 0) {
$attach = dbarray($result);
@unlink(FORUM."attachments/".$attach['attach_name']."[".$attach['attach_id']."]".$attach['attach_ext']);
$result2 = dbquery("DELETE FROM ".$db_prefix."forum_attachments WHERE post_id='$post_id' and attach_id='$delattach'");
} 
}elseif(isset($_POST['delselect'])){
if(is_array($chk_mark) && count($chk_mark)>1){
$result_attach_id="attach_id IN(".implode(',',$chk_mark).")";
}else{
$result_attach_id="attach_id=".$chk_mark[0];
}
$result = dbquery("SELECT * FROM ".$db_prefix."forum_attachments WHERE $result_attach_id");
if (dbrows($result) != 0) {
while($attach = dbarray($result)){
@unlink(FORUM."attachments/".$attach['attach_name']."[".$attach['attach_id']."]".$attach['attach_ext']);
}
$result2 = dbquery("DELETE FROM ".$db_prefix."forum_attachments WHERE $result_attach_id");
} 
}
$rows = dbrows(dbquery("SELECT * FROM ".$db_prefix."forum_attachments"));
$result3 = dbquery("SELECT SUM(attach_size) as tsize FROM ".$db_prefix."forum_attachments");
$tsize = dbarray($result3);
opentable($locale['ata200']);
echo "<table align='center' width='100%'>\n<tr>\n<td width='33%' class='small'>
<span class='alt'>".$locale['ata201']."</span> ".dbcount("(attach_id)", "forum_attachments", "")."<br>
<span class='alt'>".$locale['ata202']."</span> ".parsebytesize($tsize['tsize'])."<br>
<span class='alt'>".$locale['ata221']."</span>";
$attachtypes = explode(",", $settings['attachtypes']);
for ($i=0; $i<sizeof($attachtypes); $i++) {
 echo " ".$attachtypes[$i]." (". dbcount("(attach_id)", "forum_attachments", "attach_ext='".$attachtypes[$i]."'").")";   
    }
 
echo "<br></td>\n</tr>\n</table>\n";
closetable();
tablebreak();

if ($orderby == "fname") {
$orderby1 = "ORDER BY attach_name";
}elseif ($orderby == "fsize"){
$orderby1 = "ORDER BY attach_size";
}elseif ($orderby == "isize"){
$orderby1 = "ORDER BY attach_id";
}
if ($orderway == "d") {
$orderway1 = "DESC";
}elseif ($orderway == "a") {
$orderway1 = "ASC";
}

opentable($locale['ata203']);
$result = dbquery("SELECT * FROM ".$db_prefix."forum_attachments ".$orderby1." ".$orderway1." LIMIT $rowstart,15");
if (dbrows($result) != 0) { 
echo "<form name='delattachall' method='post' action='".FUSION_SELF."'>
<center><br>".$locale['ata222']." (<a href='".FUSION_SELF."?orderby=fname&orderway=a'>A</a>/<a href='".FUSION_SELF."?orderby=fname&orderway=d'>D</a>) 
| ".$locale['ata223']." (<a href='".FUSION_SELF."?orderby=fsize&orderway=a'>A</a>/<a href='".FUSION_SELF."?orderby=fsize&orderway=d'>D</a>)
 | ".$locale['ata239']." (<a href='".FUSION_SELF."?orderby=isize&orderway=a'>A</a>/<a href='".FUSION_SELF."?orderby=isize&orderway=d'>D</a>)<br><br></center>
<table width='100%' align='center' cellpadding='0' cellspacing='1' class='tbl-border'>
<tr>
<td width='1%' class='tbl2'></td>
<td width='1%' class='tbl2'></td>
<td class='tbl2'>".$locale['ata204']."</td>
<td class='tbl2'>".$locale['ata205']."</td>
<td class='tbl2'>".$locale['ata206']."</td>
<td class='tbl2'>".$locale['ata207']."</td>
<td class='tbl2'>".$locale['ata208']."</td>
</tr>";
function getimagetype($aid) {
	$image_type = array(
		".zip" => "<img src='".INFUSIONS."attachments_admin/img/zip.png' alt='ZIP'>",
		".tar" => "<img src='".INFUSIONS."attachments_admin/img/tgz.png' alt='TAR'>",
		".rar" => "<img src='".INFUSIONS."attachments_admin/img/tgz.png' alt='RAR'>",
		".gif" => "<img src='".INFUSIONS."attachments_admin/img/gif.png' alt='GIF'>",
		".jpg" => "<img src='".INFUSIONS."attachments_admin/img/img.png' alt='JPG'>",
		".png" => "<img src='".INFUSIONS."attachments_admin/img/img.png' alt='PNG'>",
		".txt" => "<img src='".INFUSIONS."attachments_admin/img/txt.png' alt='TXT'>",
		".pdf" => "<img src='".INFUSIONS."attachments_admin/img/acrobat.png' alt='PDF'>",
		".swf" => "<img src='".INFUSIONS."attachments_admin/img/fla.png' alt='SWF'>"
	);
	if (array_key_exists($aid, $image_type)){
	$fileimage = $image_type[$aid];
	}else{
	$fileimage = "<img src='".INFUSIONS."attachments_admin/img/file.png'>";
	}
	
	return $fileimage;
}

while($attach = dbarray($result)){
$result2 = dbquery("SELECT * FROM ".$db_prefix."posts WHERE post_id=".$attach['post_id']." and thread_id=".$attach['thread_id']."");
$post = dbarray($result2);
$fileattach = FORUM."attachments/".$attach['attach_name']."[".$attach['attach_id']."]".$attach['attach_ext'];
if (!file_exists($fileattach)){
$fs = "<font color='red'>".$locale['ata209']."</font>";
}else{
$fs = "<font color='green'>".$locale['ata210']."</font>";
} 
$showinfo = "";
$editlink = "";
$fileimage = getimagetype($attach['attach_ext']);


if ($attach['attach_ext'] == ".gif" || $attach['attach_ext'] == ".swf" || $attach['attach_ext'] == ".jpg" || $attach['attach_ext'] == ".png" && file_exists($fileattach)){
$info = getimagesize($fileattach);
$showinfo = "<br><i>".$locale['ata218']." ".$info[0].", ".$locale['ata219']." ".$info[1]."</i>";
if ($attach['attach_ext'] == ".jpg" || $attach['attach_ext'] == ".png"){
$editlink = "<a href='".INFUSIONS."attachments_admin/edit_img.php?attachid=".$attach['attach_id']."'>".$locale['ata227']."</a> | ";
}
}
elseif ($attach['attach_ext'] == ".zip" && file_exists($fileattach)){
$zip = new PclZip($fileattach);
$info = $zip->properties();
if ($info[nb] == 0){
$showinfo= "<br><font color=red><i>".$locale['ata220']." ".$info[nb]."</i></font>";
}else{
$showinfo = "<br><i>".$locale['ata220']." ".$info[nb]."</i>";
}
$editlink = "<a href='".INFUSIONS."attachments_admin/edit_zip.php?attachid=".$attach['attach_id']."'>".$locale['ata227']."</a> | ";
}elseif ($attach['attach_ext'] == ".txt" && file_exists($fileattach)){
$editlink = "<a href='".INFUSIONS."attachments_admin/edit_txt.php?attachid=".$attach['attach_id']."'>".$locale['ata227']."</a> | ";
}

echo "
<tr>
<td class='tbl1'><input type='checkbox' name='chk_mark[]' value='".$attach['attach_id']."'></td>
<td class='tbl1'>$fileimage</td>
<td class='tbl1'><a href='".FORUM."attachments/".$attach['attach_name']."[".$attach['attach_id']."]".$attach['attach_ext']."'>".$attach['attach_name']."[".$attach['attach_id']."]".$attach['attach_ext']."</a>
$showinfo
</td>
<td class='tbl1'><a href='".FORUM."viewthread.php?forum_id=".$post['forum_id']."&thread_id=".$post['thread_id']."#post_".$post['post_id']."'>".trimlink($post['post_subject'], 20)."</a></td>
<td class='tbl1'>".parsebytesize($attach['attach_size'])."</td>
<td class='tbl1'>".$fs."</td>
<td class='tbl1'>".$editlink."<a href='".FUSION_SELF."?delattach=".$attach['attach_id']."&post_id=".$attach['post_id']."'>".$locale['ata211']."</a></td>
</tr>"; 

}

echo "<tr>
<td colspan='7' class='tbl2'><nobr><span class='small'>
<input type='button' class='button' title='".$locale['ata212']."' onclick=\"javascript:setChecked('delattachall','chk_mark[]',1);\" value='".$locale['ata213']."'</input>
<input type='button' class='button' title='".$locale['ata214']."' onclick=\"javascript:setChecked('delattachall','chk_mark[]',0);\" value='".$locale['ata215']."'</input>
<input type='submit' class='button' name='delselect' value='".$locale['ata216']."'><nobr></span>
</td>
</tr></table></form>
\n";
echo "<div align='center' style='margin-top:5px;'>
".makePageNav($rowstart,15,$rows,3,FUSION_SELF."?attachments_forum.php&")."
</div>\n";
echo "
<script language='Javascript'>
function setChecked(frmName,chkName,val){
dml=document.forms[frmName];
len=dml.elements.length;
for(i=0;i<len;i++){
if(dml.elements[i].name==chkName){
dml.elements[i].checked=val;
}
}
}
</script>\n";
}else{
echo "<center><br />".$locale['ata217']."<br /><br /></center>\n";
}

closetable();

echo "</td>\n";
require_once BASEDIR."footer.php";
?>